Package: java.lang

## Interface Appendable

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Appendable` | `leftShift(Object value)` Overloads the leftShift operator for Appendable to allow an object to be appended using Groovy's default representation for the object.
    `Appendable` | `withFormatter(Closure closure)` Invokes a Closure that uses a Formatter taking care of resource handling.
    `Appendable` | `withFormatter(Locale locale, Closure closure)` Invokes a Closure that uses a Formatter taking care of resource handling.

- - ### Methods Detail

    - #### public Appendable leftShift(Object value)

      Overloads the leftShift operator for Appendable to allow an object to be appended using Groovy's default representation for the object.

      Parameters:
        `value` - an Object whose default representation will be appended to the Appendable
      Returns:
        the Appendable on which this operation was invoked
      Since:
        2.1.0

    - #### public Appendable withFormatter(Closure closure)

      Invokes a Closure that uses a Formatter taking care of resource handling. A Formatter is created and passed to the Closure as its argument. After the Closure executes, the Formatter is flushed and closed releasing any associated resources.

      Parameters:
        `closure` - a 1-arg Closure which will be called with a Formatter as its argument
      Returns:
        the Appendable on which this operation was invoked
      Since:
        2.1.0

    - #### public Appendable withFormatter(Locale locale, Closure closure)

      Invokes a Closure that uses a Formatter taking care of resource handling. A Formatter is created using the given Locale and passed to the Closure as its argument. After the Closure executes, the Formatter is flushed and closed releasing any associated resources.

      Parameters:
        `locale` - a Locale used when creating the Formatter
        `closure` - a 1-arg Closure which will be called with a Formatter as its argument
      Returns:
        the Appendable on which this operation was invoked
      Since:
        2.1.0